MockObjectTestCase (jMock API Documentation)
Keywords: org.jmock.cglib.MockObjectTestCase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.cglib
Class MockObjectTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          org.jmock.cglib.MockObjectTestCase

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  DummyOfClassAcceptanceTest, ErrorDetectionAcceptanceTest, MockConcreteClassAcceptanceTest, OverriddenToStringAcceptanceTest, SignedJarAcceptanceTest

    public abstract class MockObjectTestCase

extends MockObjectTestCase

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`protected` | `MockObjectTestCase()`
`protected` | `MockObjectTestCase(String testName)`

Method Summary
`Mock` | `mock(Class mockedClass, Class[] constructorArgumentTypes, Object[] constructorArguments)`
`Mock` | `mock(Class mockedClass, String roleName, Class[] constructorArgumentTypes, Object[] constructorArguments)`
`protected DynamicMock` | `newCoreMock(Class mockedType, String roleName)`
`protected DynamicMock` | `newCoreMock(Class mockedClass, String roleName, Class[] constructorArgumentTypes, Object[] constructorArguments)`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockObjectTestCase

    protected MockObjectTestCase(String testName)

### MockObjectTestCase

    protected MockObjectTestCase()

Method Detail

### mock

    public Mock mock(Class mockedClass,
                     String roleName,
                     Class[] constructorArgumentTypes,
                     Object[] constructorArguments)

### mock

    public Mock mock(Class mockedClass,
                     Class[] constructorArgumentTypes,
                     Object[] constructorArguments)

### newCoreMock

    protected DynamicMock newCoreMock(Class mockedType,
                                      String roleName)

  Overrides:
    `newCoreMock` in class `MockObjectTestCase`

### newCoreMock

    protected DynamicMock newCoreMock(Class mockedClass,
                                      String roleName,
                                      Class[] constructorArgumentTypes,
                                      Object[] constructorArguments)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD